sha256:2b14c99cebc8bb49d550d52009b29a13d1fd5b7e88251943edb45b90415b62e3
2020-12-03 22:52:12 UTC
334 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.9.0
[#000] sha256:21c39c42a8e082b1b164b44e463e4752c74821dbc51451f2ac2518ae6f29dff3 - 14.61% (48.8 MB)
[#001] sha256:afab7b21aa8cddd140983ed21a34965621db1efb35f635bc756479b30c3deaf3 - 2.28% (7.61 MB)
[#002] sha256:92a1ce1fcda982662c6c9be38bac7b53e9fd405b0b367fa902cfd957be683731 - 2.95% (9.86 MB)
[#003] sha256:a190a57cc81d3d40833225fd0b5e6bf1d793a9c09ba842367e28f584fc4ab5e7 - 15.26% (51 MB)
[#004] sha256:dc286fe391b261bbe537e32cbd0af32f46ca3385b255004c032a0f243990cb02 - 56.77% (190 MB)
[#005] sha256:12689cad0e38fef5b35081d1d2c54cfa19d7977ceb93252219197c24e1200f19 - 1.85% (6.19 MB)
[#006] sha256:5de6c3ef2788a1569a8a2cb94cae2f2733fa657fba2993ce54dc26f4864681cd - 5.67% (18.9 MB)
[#007] sha256:3b6bd133ad465bc3c81cff8ab374be0d795ffad604749b4bdc3b617f7283b450 - 0.0% (233 Bytes)
[#008] sha256:a48029a2c70e5bbd6cdb86a135ab4d6977ab16f69597e9ceaeefb13c21c994c2 - 0.61% (2.04 MB)
/bin/sh -c #(nop) ADD file:4805e11ec22df9454eb4759523111e031e84c8078bcaef178f089baca9e83cdb in /
2020-11-17 20:19:40 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-11-17 21:03:59 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-17 21:04:06 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-17 21:04:39 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-17 21:06:07 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-18 12:38:25 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-18 12:38:25 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-18 12:38:35 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-18 13:08:00 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2020-11-18 13:08:00 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.0
2020-11-18 13:23:17 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-18 13:23:17 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-03 22:52:01 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-03 22:52:01 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-03 22:52:01 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-03 22:52:11 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-03 22:52:12 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:0affb4652fc063a01bb4e9e480b20b27049e1c24ad83d54dd2be3706950d5185
2020-12-03 22:38:38 UTC
325 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.9.0
[#000] sha256:756975cb9c7e7933d824af9319b512dd72a50894232761d06ef3be59981df838 - 14.77% (48.1 MB)
[#001] sha256:d77915b4e630d47296770ce4cf481894885978072432456615172af463433cc5 - 2.29% (7.45 MB)
[#002] sha256:5f37a0a41b6b03489dd7de0aa2a79e369fd8b219bbc36b52f3f9790dc128e74b - 2.93% (9.53 MB)
[#003] sha256:96b2c1e36db5f5910f58da2ca4f9311b0690810c7107fb055ee1541498b5061f - 15.19% (49.4 MB)
[#004] sha256:c495e8de12d26c9843a7a2bf8c68de1e5652e66d80d9bc869279f9af6f86736a - 56.36% (183 MB)
[#005] sha256:33382189822a108b249cf3ccd234d04c3a8dfe7d593df19c751dcfab3675d5f2 - 1.8% (5.86 MB)
[#006] sha256:414ebfa5f45bccd436932c8d49f6d17047a640bbce3e54fb7394b9448380e444 - 6.03% (19.6 MB)
[#007] sha256:dd860911922e9ba6c75bf5423c79d7c61736f3c7efff71845502f9e145e0b6a0 - 0.0% (232 Bytes)
[#008] sha256:b434dcf770b11c3c9a05b5a4cdf9464562f3430ffce20350507c665b19d1751f - 0.63% (2.04 MB)
/bin/sh -c #(nop) ADD file:9a4fd72d749f4a791e75e0f6fc6028d0771e3381b6d84a8d0b07a4887bc7c641 in /
2020-11-17 20:20:58 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-11-18 00:30:37 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-18 00:30:47 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-18 00:31:18 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-18 00:32:34 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-18 12:56:39 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-18 12:56:39 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-18 12:56:47 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-18 13:18:34 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2020-11-18 13:18:35 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.0
2020-11-18 13:29:43 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-18 13:29:44 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-03 22:38:30 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-03 22:38:30 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-03 22:38:30 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-03 22:38:37 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-03 22:38:38 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:11efa14476c96ad1633b7670409be36ac5bc4339c3b709a2c6cb3bb5e1a7df63
2020-12-03 22:35:54 UTC
2.29 GB
UTF-8
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_RELEASE3.9.0
PYTHON_VERSION3.9.0
[#000] sha256:4612f6d0b889cad0ed0292fae3a0b0c8a9e49aff6dea8eb049b2386d9b07986f - 69.89% (1.6 GB)
[#001] sha256:680bbdbacf1bcbace70de5087d02d31e9dd7a22feae59f746f54dab46c1d5bda - 27.24% (639 MB)
[#002] sha256:da5a67a9f3a363cb69c8104913a5a58c1c47e8f648a07d057fc28a5f98790e60 - 0.0% (1.16 KB)
[#003] sha256:ba27fafdef0dd2d90225160fe1fa0393acbcfbe112b6442bf74fa7f41916bcfb - 0.0% (1.11 KB)
[#004] sha256:919bf62a63dcc1a613cb9e396022f5204b19dbcde218fe6eb473996c61aa6ff6 - 0.0% (1.09 KB)
[#005] sha256:f48f5de8a3e68f04294d2e4685b27b65ceb2f93cb61fc39bacb100c2daf7bc1c - 0.0% (1.12 KB)
[#006] sha256:2429988255b52ff1002cfc6656f4e7907f5dd542f690168ab44808652acf4f61 - 2.44% (57.3 MB)
[#007] sha256:24d3725f3a29daf61016508059d56e24785eb621280466ef84a05fda6de9cc3f - 0.0% (1.1 KB)
[#008] sha256:d64fe9038612393d00324e3df6ea8d013e744db694433219fcf36775e18be10b - 0.0% (1.12 KB)
[#009] sha256:59097e9e38e3ba06ea6a8763210e84e0355bdb398769284693eb4248b6ab6331 - 0.0% (1.11 KB)
[#010] sha256:a9b9f6d6dfb29d12a6895ba9e761961649df1b0081fdd8c8da125c71b11faeff - 0.42% (9.88 MB)
[#011] sha256:182d9f6ac4fc2adfe36f9da5725946623e45ecf48b94000837fec267a551ed61 - 0.0% (1.1 KB)
Apply image 1809-RTM-amd64
2020-11-03 03:11:34 UTCInstall update 1809-amd64
2020-11-11 13:26:39 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2020-11-11 17:13:40 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHONIOENCODING=UTF-8
2020-11-11 17:20:33 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_VERSION=3.9.0
2020-11-11 17:20:34 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_RELEASE=3.9.0
2020-11-11 17:22:12 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://www.python.org/ftp/python/{0}/python-{1}-amd64.exe' -f $env:PYTHON_RELEASE, $env:PYTHON_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'python.exe'; Write-Host 'Installing ...'; Start-Process python.exe -Wait -ArgumentList @( '/quiet', 'InstallAllUsers=1', 'TargetDir=C:\Python', 'PrependPath=1', 'Shortcuts=0', 'Include_doc=0', 'Include_pip=0', 'Include_test=0' ); $env:PATH = [Environment]::GetEnvironmentVariable('PATH', [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' python --version'; python --version; Write-Host 'Removing ...'; Remove-Item python.exe -Force; Write-Host 'Complete.'
2020-12-03 22:35:06 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-03 22:35:06 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-03 22:35:07 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-03 22:35:53 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading get-pip.py ({0}) ...' -f $env:PYTHON_GET_PIP_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:PYTHON_GET_PIP_URL -OutFile 'get-pip.py'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:PYTHON_GET_PIP_SHA256); if ((Get-FileHash 'get-pip.py' -Algorithm sha256).Hash -ne $env:PYTHON_GET_PIP_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host ('Installing pip=={0} ...' -f $env:PYTHON_PIP_VERSION); python get-pip.py --disable-pip-version-check --no-cache-dir ('pip=={0}' -f $env:PYTHON_PIP_VERSION) ; Remove-Item get-pip.py -Force; Write-Host 'Verifying pip install ...'; pip --version; Write-Host 'Complete.'
2020-12-03 22:35:54 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["python"]
sha256:548dcf8a3dd7d0f90b0a06dad281b2daa3c8b2de614bbd6ca0232d0b956266d3
2020-12-03 22:34:51 UTC
5.45 GB
UTF-8
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_RELEASE3.9.0
PYTHON_VERSION3.9.0
[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 69.61% (3.79 GB)
[#001] sha256:4830fb08bc2df7ae80548c349b880c263ea87a7b93e13ecbc77c862b6e179558 - 29.08% (1.58 GB)
[#002] sha256:126d9a92c0cb7b68c56dec2dd5ba118de9dde3ec6368db734c5135fdf1528a33 - 0.0% (1.14 KB)
[#003] sha256:f32d36bd6ec3b70ad877771d7f97cafedd40418fb1bba46babfeda374e5ada5b - 0.0% (1.1 KB)
[#004] sha256:94a0ff799aa49bd24f08d2a9e160718f907baa4e67041ca831fd87a6cef811a4 - 0.0% (1.1 KB)
[#005] sha256:67a688fb5ed4d647e0731c061dc42963d6243adee70a6bfa0857c4955fd09195 - 0.0% (1.09 KB)
[#006] sha256:958c6761d8cef12a178f90df86b8b28bb05518ddb7ce10fd46cd64a04ca13082 - 1.04% (58.1 MB)
[#007] sha256:5911c89201d97bdde9acb15fc46f582bef5815c0cd31ba2265a7c15db4095d38 - 0.0% (1.1 KB)
[#008] sha256:ad2fa9c723264dd56725403dd51c7be54f486de09b76ac4e67c1ef14892f1707 - 0.0% (1.13 KB)
[#009] sha256:1a282efaab6a97323952a76a34e2813364226a69463f8357a3509a57347fc99c - 0.0% (1.1 KB)
[#010] sha256:c8f5800171af3721257b801ccf75cec31e7b65f19b92bd9bf2370127878e198d - 0.27% (15 MB)
[#011] sha256:c13e719c071ddc7a0170e6c7a7b351f6b914de5e11a9bba790f250f549910670 - 0.0% (1.12 KB)
Apply image 1607-RTM-amd64
2020-10-28 18:03:00 UTCInstall update ltsc2016-amd64
2020-11-11 13:23:11 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2020-11-11 17:09:28 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHONIOENCODING=UTF-8
2020-11-11 17:16:21 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_VERSION=3.9.0
2020-11-11 17:16:22 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_RELEASE=3.9.0
2020-11-11 17:18:43 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://www.python.org/ftp/python/{0}/python-{1}-amd64.exe' -f $env:PYTHON_RELEASE, $env:PYTHON_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'python.exe'; Write-Host 'Installing ...'; Start-Process python.exe -Wait -ArgumentList @( '/quiet', 'InstallAllUsers=1', 'TargetDir=C:\Python', 'PrependPath=1', 'Shortcuts=0', 'Include_doc=0', 'Include_pip=0', 'Include_test=0' ); $env:PATH = [Environment]::GetEnvironmentVariable('PATH', [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' python --version'; python --version; Write-Host 'Removing ...'; Remove-Item python.exe -Force; Write-Host 'Complete.'
2020-12-03 22:33:10 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-03 22:33:10 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-03 22:33:11 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-03 22:34:50 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading get-pip.py ({0}) ...' -f $env:PYTHON_GET_PIP_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:PYTHON_GET_PIP_URL -OutFile 'get-pip.py'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:PYTHON_GET_PIP_SHA256); if ((Get-FileHash 'get-pip.py' -Algorithm sha256).Hash -ne $env:PYTHON_GET_PIP_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host ('Installing pip=={0} ...' -f $env:PYTHON_PIP_VERSION); python get-pip.py --disable-pip-version-check --no-cache-dir ('pip=={0}' -f $env:PYTHON_PIP_VERSION) ; Remove-Item get-pip.py -Force; Write-Host 'Verifying pip install ...'; pip --version; Write-Host 'Complete.'
2020-12-03 22:34:51 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["python"]
sha256:a2458c5a646a3a8b6a557a71bfa6b9b6b0ba8bb91e80ec547da4345e691108ea
2020-12-03 21:52:05 UTC
299 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.9.0
[#000] sha256:5ab3aa180a853babda6a9051719fe6ec0d84c2b928c417dcb59a1728ad58b664 - 15.34% (45.9 MB)
[#001] sha256:521d5b6df6edc5ecad2cf2b768fbd613543aa0e4cf088cf833831721dfbe9ed3 - 2.35% (7.02 MB)
[#002] sha256:1c2374b91c31c8256125e91fff26b9eb051ec11e6d4bcd609fb19d7416c500c0 - 3.09% (9.24 MB)
[#003] sha256:fd4b93b1a93df4915c39e81ab18cea9e915b703dac510437aaa30c87712011ce - 15.81% (47.3 MB)
[#004] sha256:be5b2c6f6356612a563f026d6b0f44d0400943c9355ffbcc9611d33323e19e10 - 54.6% (163 MB)
[#005] sha256:1511931f7cff4461e4da6c1c7c09217ccfe7fffa5fa78a1d074663abbc1d5ae8 - 1.86% (5.57 MB)
[#006] sha256:043cc80ada4f1cec73836b64799cf2c8882c466af7a6c476fc703bf509896208 - 6.27% (18.8 MB)
[#007] sha256:30fb009dbfdd1b93d8c8b24c6bd9dbdd9abf04fb94318923e21defe8aaad10b8 - 0.0% (233 Bytes)
[#008] sha256:dd5f334193ac1324a58a9f8741a7df5130e24642673ae1048a39e25a07038543 - 0.68% (2.04 MB)
/bin/sh -c #(nop) ADD file:bb3447356f67bcc742643d914d0254a63f6ae355a30f0ac2471abe10df2ef70d in /
2020-11-17 20:20:12 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-11-17 21:41:57 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-17 21:42:14 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-17 21:43:12 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-17 21:46:03 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-17 22:22:29 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-17 22:22:32 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-17 22:22:59 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-17 22:49:20 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2020-11-17 22:49:21 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.0
2020-11-17 23:01:18 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-17 23:01:23 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-03 21:51:32 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-03 21:51:36 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-03 21:51:39 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-03 21:52:04 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-03 21:52:05 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:645efee383aa36fc51903bdb85b7bcbc4609ab45fc112e192bccd7ca7af1b541
2020-12-03 22:03:59 UTC
291 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.9.0
[#000] sha256:ebde10b2510128140d24e66909ceb0c80e00656af313829f82d31ae8cf08bcf8 - 15.03% (43.7 MB)
[#001] sha256:05478d2a9ec4daaef33a6c87d057451c262677d02e4d9c61125bbb68bc56a601 - 2.33% (6.77 MB)
[#002] sha256:39c5f002cc82f5d62a78100714f451edb33a717fbf6795e309e0b1768712c093 - 3.06% (8.91 MB)
[#003] sha256:3d327c3810299006837433575844fea13af679784a13df32d477f1207e94ea8c - 15.51% (45.2 MB)
[#004] sha256:9cb9b79ac75491ca0d6be5abb23a07ad8026b4aae731e13376684bff9969e8a8 - 55.2% (161 MB)
[#005] sha256:13634106be2c0d30c1d01e60f95d9c748701f3e0b903bf23dbeae2eb7b7880f6 - 1.81% (5.28 MB)
[#006] sha256:33552191cdf6a6d83210e6f548aec3ff6b30983c454f634cc0c3574664d768d4 - 6.37% (18.5 MB)
[#007] sha256:e9e678532fe5a9c62c271fcc4094dd3b6880ca5fccc9d0812412996fc4a4c9fe - 0.0% (233 Bytes)
[#008] sha256:84c99ae2098c551bf9cc291e3fc474053c1ed355fb1e408b00ab21efa355ecf2 - 0.7% (2.04 MB)
/bin/sh -c #(nop) ADD file:81141d8fa450e1e5af67bb3757057f3fc34d3ed35cfd0caedb0aab64c5da9aaf in /
2020-11-17 20:20:33 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-11-17 21:41:33 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-17 21:41:50 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-17 21:42:46 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-17 21:45:06 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-18 03:57:03 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-18 03:57:07 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-18 03:57:25 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-18 04:26:06 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2020-11-18 04:26:12 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.0
2020-11-18 04:38:58 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-18 04:39:02 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-03 22:02:57 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-03 22:02:58 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-03 22:02:59 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-03 22:03:57 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-03 22:03:59 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:0a61f627666efc04ed585a11cf3eba86b15c470adec3ab2f827bace86749512e
2020-12-03 23:01:31 UTC
316 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.9.0
[#000] sha256:22518ad4a7da48a5acd01946dad2fbee99e4fca910d23b78cd7e4a16c3bd1e5b - 14.85% (46.9 MB)
[#001] sha256:07ed68dbf09ea059b44b3e1013706c78f868e5f07beb5f16780ca8f52aa9594a - 2.32% (7.33 MB)
[#002] sha256:39eeb09cb5ac2e2a9553920a21389f08df1b6b08c816ae4b8e60866d84119492 - 3.01% (9.52 MB)
[#003] sha256:ff17ea9ada38fca6de6d6808558e3c10793b90c2331b3481ad81f7c62293d8e6 - 15.75% (49.7 MB)
[#004] sha256:e7dea92ecae615cf4291c3db4250413456b07575391a5e2b6db5ddfec7ce7a98 - 55.49% (175 MB)
[#005] sha256:367114bc8785cdfca98de9a72a56b51ebe58b90dda85b3bf283e5ec2541abc7d - 1.89% (5.97 MB)
[#006] sha256:ac65aa61d13b94f22133de0700166e367d2b544d1f1986d6afb0ee3f9645534a - 6.05% (19.1 MB)
[#007] sha256:43a580b495cac89621d2100fb4d2012821255761f716b584906fa70c0a507263 - 0.0% (232 Bytes)
[#008] sha256:603e5c2cf5cf6928e2a0a089ea6ddffa930453045003d0ff77b1fea21f440ff9 - 0.64% (2.04 MB)
/bin/sh -c #(nop) ADD file:28343d2066831f0ffb2002914f158698f92b4af6dc16ac22e3d8e9c388c688bb in /
2020-11-17 20:23:05 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-11-17 22:20:52 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-17 22:21:10 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-17 22:21:47 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-17 22:24:08 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-18 06:27:39 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-18 06:27:40 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-18 06:27:55 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-18 06:47:30 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2020-11-18 06:47:31 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.0
2020-11-18 06:56:23 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-18 06:56:26 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-03 23:01:12 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-03 23:01:13 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-03 23:01:14 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-03 23:01:29 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-03 23:01:31 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:c71bd035ad1809d57b992c0781cc18b8278c9425c8b9ce092eb8870c986ed6a6
2020-12-03 22:11:13 UTC
311 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.9.0
[#000] sha256:dfb90274558af841c9796a5beea46490849a7c976f581a0c8b88abf06db56f1e - 15.05% (46.7 MB)
[#001] sha256:ed9818d418c7b576c15024336a4aea56a58529ecd9b3079f0655966933948695 - 2.22% (6.9 MB)
[#002] sha256:788e51b5e72a4c84a4871396b113a204ef677df1acb708cb1632fdb0a1a1c14d - 3.08% (9.55 MB)
[#003] sha256:aa993f09cad1532e4160e328520aeb5341e617ebacc30ba42c7845bfe78f938d - 15.61% (48.5 MB)
[#004] sha256:2207c46abff3ac9a752e7cf978c9550e007843969d5d69eb6f122ac4204adee2 - 55.21% (171 MB)
[#005] sha256:6b9312bdbc815e166144603ea797ae53230c0681b1461d0c9ee1144d3f322ac8 - 1.98% (6.16 MB)
[#006] sha256:e0142629371420212a01c963b0d12a668fd83d8312643b48198dda3d808142e6 - 6.2% (19.3 MB)
[#007] sha256:8af2920a1a99502f5d16357290fc66a52d64a955d3d1bcfca37f3cee96dd08a3 - 0.0% (234 Bytes)
[#008] sha256:2ed30b96640e9e2662afc5b4b0de353542fb269488591bd8e991fd567b037f2a - 0.66% (2.04 MB)
/bin/sh -c #(nop) ADD file:a535d2f623f959d14749f458ffedfb6a0ec8dc8081509e3d4961929b20654a10 in /
2020-11-17 20:18:58 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-11-17 22:39:38 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-17 22:39:53 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-17 22:40:50 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-17 22:43:45 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-18 00:40:50 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-18 00:40:50 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-18 00:41:11 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-18 02:04:12 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2020-11-18 02:04:12 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.0
2020-11-18 02:45:00 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-18 02:45:02 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-03 22:10:50 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-03 22:10:50 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-03 22:10:50 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-03 22:11:13 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-03 22:11:13 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:3eda70407f4c67c49accef76328d4d9a5623a2cad42ac7fffacd96e2f644ae27
2020-12-03 22:43:34 UTC
347 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.9.0
[#000] sha256:94e00adb98ff1f971add74025ff2a8ca87e003568d828bdb0df26ecd46c269a2 - 14.88% (51.6 MB)
[#001] sha256:8a46d858a6e31a5aa25fd9c527cdee95fe08fc11f45038212d1c5c7e52dc7b40 - 2.27% (7.87 MB)
[#002] sha256:fbfab907b4d9fde9fb35f17a366b653e709c31cbce8602a2ae23c23d39524820 - 2.95% (10.2 MB)
[#003] sha256:157cce210a3874859c02d469911ddfc967ed435c3c04ebf12cdad81fe199cef0 - 15.79% (54.8 MB)
[#004] sha256:47c205957dfc9cb35b737f51ec6985e8bbfa793cabfde43085a053e7f5cf44ac - 55.83% (194 MB)
[#005] sha256:1d76ab441741175eaddd328ea78d468be8bed8c957c980bc8dc7c25468b7639e - 1.89% (6.57 MB)
[#006] sha256:6e98671e74c40adf5c6002dd3ca41b7c223080b8d2b1014873216c7b9faf01f2 - 5.8% (20.1 MB)
[#007] sha256:ab693ff621d23c20e1d2223f024970f439e6b729c1ec2718970cd62a241900ea - 0.0% (234 Bytes)
[#008] sha256:18fd129b3ddbed448fd9310b3d82a8d642813e49399634ca8169b6c6825e2162 - 0.59% (2.04 MB)
/bin/sh -c #(nop) ADD file:b5112ae3b22de1d8a373191ad01151a6c1cdde605887b1836672be39787e2213 in /
2020-11-17 23:22:37 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-11-18 00:55:44 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-18 00:57:02 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-18 00:59:34 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-18 01:20:42 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-18 07:26:58 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-18 07:27:03 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-18 07:28:03 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-18 07:59:11 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2020-11-18 07:59:22 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.0
2020-11-18 08:09:21 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-18 08:09:37 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-03 22:42:40 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-03 22:42:44 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-03 22:42:48 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-03 22:43:25 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-03 22:43:34 UTC/bin/sh -c #(nop) CMD ["python3"]
sha256:5e069f5bf235ae03f61518ea17d100f834ef4f7f0040e3fc3dbf282363d763cd
2020-12-03 22:51:31 UTC
308 MB
E3FF2839C048B25C084DEBE9B26995E310250568
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.9.0
[#000] sha256:6e95a7d20e6bbf957d2bb5912f19784daba6953d8afac5562453108dd45940e1 - 15.17% (46.7 MB)
[#001] sha256:ab56d289be912cd903623a00b35bdc52f4f1b54a6778c1ba4c076e5cfe339aa5 - 2.29% (7.04 MB)
[#002] sha256:c29ee109f7efbe0700da6e225717912b22d8e015d8d9a9968e564419b1ba97a3 - 3.06% (9.42 MB)
[#003] sha256:99e45adeb409573e310b14d50aaf13f2a71a45e62f9f872239e36eb86f927b54 - 15.91% (49 MB)
[#004] sha256:29eec538f7c27dd46ca5cff5bd6e29299adea0933747804e60e0dc381865c13d - 54.77% (169 MB)
[#005] sha256:9df669021968714da2a1de33d1edeab6ad4cf34452706be135410fe592a08ef2 - 1.88% (5.78 MB)
[#006] sha256:049c0530f76b319d2f7aad8ed0c78e1615b7049c3202164cfc219d88215beba0 - 6.27% (19.3 MB)
[#007] sha256:eddc66124c52f014ef20ec814dedc3281d8b7ccae8d8b9b199d4b648bf407698 - 0.0% (233 Bytes)
[#008] sha256:e6e027d6de7901663f741a99c0766c8bcee0df685f18a3e079f2aebf6c54c89b - 0.66% (2.04 MB)
/bin/sh -c #(nop) ADD file:dfb1d2f775a9c4493397d0ca05aa6486393c6dad4f0fb5f48ffd209397301bdb in /
2020-11-17 20:18:05 UTC/bin/sh -c #(nop) CMD ["bash"]
2020-11-17 21:32:00 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-17 21:32:13 UTC/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-17 21:32:58 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-17 21:35:18 UTC/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-18 02:23:50 UTC/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-18 02:23:51 UTC/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-18 02:24:04 UTC/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-18 02:41:21 UTC/bin/sh -c #(nop) ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568
2020-11-18 02:41:21 UTC/bin/sh -c #(nop) ENV PYTHON_VERSION=3.9.0
2020-11-18 02:48:51 UTC/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-18 02:48:55 UTC/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-03 22:51:19 UTC/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-03 22:51:19 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-03 22:51:20 UTC/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-03 22:51:30 UTC/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-03 22:51:31 UTC/bin/sh -c #(nop) CMD ["python3"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.